Commit 8b1b2185 authored by Pierre Ossman's avatar Pierre Ossman Committed by Russell King
Browse files

[MMC] Change SDHCI version error to a warning



O2 Micro's controllers have a larger specification version value and are
therefore denied by the driver. When bypassing this check they seem to work
fine. This patch makes the code a bit more forgiving by changing the error
to a warning.
Signed-off-by: default avatarPierre Ossman <drzeus@drzeus.cx>
Signed-off-by: default avatarRussell King <rmk+kernel@arm.linux.org.uk>
parent fb61e289
......@@ -1193,10 +1193,8 @@ static int __devinit sdhci_probe_slot(struct pci_dev *pdev, int slot)
version = (version & SDHCI_SPEC_VER_MASK) >> SDHCI_SPEC_VER_SHIFT;
if (version != 0) {
printk(KERN_ERR "%s: Unknown controller version (%d). "
"Cowardly refusing to continue.\n", host->slot_descr,
"You may experience problems.\n", host->slot_descr,
version);
ret = -ENODEV;
goto unmap;
}
caps = readl(host->ioaddr + SDHCI_CAPABILITIES);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment